MongoCursor::info
MongoCursor::hint
MongoCursor
PHP Manual

# MongoCursor::hasNext

(PECL mongo >=0.9.0)

MongoCursor::hasNext — Checks if there are any more elements in this cursor

### Description

public boolean MongoCursor::hasNext ( void )

### Parameters

This function has no parameters.

### Return Values

Returns if there is another element.

### Errors/Exceptions

Throws MongoConnectionException if it cannot reach the database and MongoCursorTimeoutException if the timeout is exceeded.

MongoCursor::info
MongoCursor::hint
MongoCursor
PHP Manual